/*
 * Optional file used to debug structures coming from BNET.XFS
 * but this time through the PC's debugger !!
 * The function name and params must of course remain the same
 * but the function's body (and the structs) can be anything.
 * This sample checks BNET's dir structures (not very useful! )
*/

#ifdef	CHK_XFS

#include <string.h>
#include "h:\net_xfs\xfs_bnet.h"

void	DD_check (void *xfs_FD, void *xfs_DHD, void *xfs_root)
{
	DMD 		*d;
	BNETX_DHD	*dhd;
	BNETX_FD	*fd = xfs_FD;
	DIR_SLOT	*dir;
	int 		i;

	dhd = xfs_DHD;
	d = xfs_root;
	for (i = 0; i < MAX_DHD; i++)
		dir = dhd[i].dhd_dir;
	for (i = 0; i < MAX_FD; i++)
		if (fd[i].fd_file == NULL)
			break;
		else
			dir = fd[i].fd_file;
}
#endif
